/**
 * Christmas Mage Skin
 * Custom sprite
 */

/* In-Game Sprite */
.player[data-character="mage"][data-skin="christmas_mage"]::before {
    box-shadow:
        0px -12px 0 0 #f4d71a,
        -4px -8px 0 0 #062806,
        0px -8px 0 0 #083a08,
        4px -8px 0 0 #072207,
        -8px 0px 0 0 #072207,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #0c360c,
        -8px 8px 0 0 #062806,
        -4px 8px 0 0 #0c270c,
        0px 8px 0 0 #062806,
        4px 8px 0 0 #062806,
        8px 8px 0 0 #092f09,
        -4px 16px 0 0 #441d09,
        4px 16px 0 0 #582509,
        12px 8px 0 0 #061e06,
        -12px 8px 0 0 #072207;
}

/* Character Selection Preview */
.char-card-preview[data-character="mage"][data-skin="christmas_mage"]::before {
    box-shadow:
        0px -12px 0 0 #f4d71a,
        -4px -8px 0 0 #062806,
        0px -8px 0 0 #083a08,
        4px -8px 0 0 #072207,
        -8px 0px 0 0 #072207,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #0c360c,
        -8px 8px 0 0 #062806,
        -4px 8px 0 0 #0c270c,
        0px 8px 0 0 #062806,
        4px 8px 0 0 #062806,
        8px 8px 0 0 #092f09,
        -4px 16px 0 0 #441d09,
        4px 16px 0 0 #582509,
        12px 8px 0 0 #061e06,
        -12px 8px 0 0 #072207;
}

/* Skin Selector Preview */
.skin-preview[data-character="mage"][data-skin="christmas_mage"]::before {
    box-shadow:
        0px -12px 0 0 #f4d71a,
        -4px -8px 0 0 #062806,
        0px -8px 0 0 #083a08,
        4px -8px 0 0 #072207,
        -8px 0px 0 0 #072207,
        -4px 0px 0 0 #2d2d2d,
        0px 0px 0 0 #f5deb3,
        4px 0px 0 0 #2d2d2d,
        8px 0px 0 0 #0c360c,
        -8px 8px 0 0 #062806,
        -4px 8px 0 0 #0c270c,
        0px 8px 0 0 #062806,
        4px 8px 0 0 #062806,
        8px 8px 0 0 #092f09,
        -4px 16px 0 0 #441d09,
        4px 16px 0 0 #582509,
        12px 8px 0 0 #061e06,
        -12px 8px 0 0 #072207;
}
